Bug 217140 - security/openvpn: Fix build with LibreSSL 2.5.1
Summary: security/openvpn: Fix build with LibreSSL 2.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-16 13:58 UTC by Bernard Spil
Modified: 2017-03-23 22:53 UTC (History)
2 users (show)

See Also:
mandree: maintainer-feedback+


Attachments
svn diff for security/openvpn (2.42 KB, patch)
2017-02-16 13:58 UTC, Bernard Spil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Spil freebsd_committer 2017-02-16 13:58:19 UTC
Created attachment 180046 [details]
svn diff for security/openvpn

security/openvpn: Fix build with LibreSSL 2.5.1

  - Add patch from upstream

PR:
Comment 1 Matthias Andree freebsd_committer 2017-03-21 23:02:10 UTC
testing now and about to commit; I've had to edit the a/ and b/ prefixes to ./ (dot) so that it worked with our patch -p path component strip level.
Comment 2 commit-hook freebsd_committer 2017-03-21 23:05:34 UTC
A commit references this bug:

Author: mandree
Date: Tue Mar 21 23:04:59 UTC 2017
New revision: 436663
URL: https://svnweb.freebsd.org/changeset/ports/436663

Log:
  Fix build with LibreSSL 2.5.1.

  PR:		217140
  Submitted by:	brnrd@
  Obtained from:	Olivier Wahrenberger, via upstream maintainers review

Changes:
  head/security/openvpn/files/patch-src_openvpn_ssl__openssl.c
Comment 3 Matthias Andree freebsd_committer 2017-03-21 23:05:55 UTC
Olivier, thanks a lot for taking this upstream, getting it into shape and reviewed, and it's now finally - after a long time - made it into our ports tree.  Merci encore une fois.

Bernard, thanks for handling the PR.
Comment 4 OlivierW 2017-03-23 22:53:31 UTC
(In reply to Matthias Andree from comment #3)
You're welcome Matthias! Thanks to for your commit :-)
Just saw OpenVPN 2.4.1 has been released and is now in FreeBSD ports, cool!